#!/bin/sh -e

./clean.sh

./validate-xml.sh
./make-html.sh

cp -rp . ddmlde || true
find ddmlde -name CVS -type d -print0 | xargs -0 rm -rf
find ddmlde \( -name .cvsignore -o -name '.#*' -o -name '*~' -o -name .htaccess \) -print0 | xargs -0 rm -f
rm -rf ddmlde/orig

mkdir foo
cp -al ddmlde foo
cd foo
rm -rf ddmlde/ddml/members ddmlde/didgeridoo/images
tar cf ddmlde.tar ddmlde
gzip -9 ddmlde.tar
zip -r ddmlde.zip ddmlde
cd ..

mv foo/ddmlde.tar.gz foo/ddmlde.zip ddmlde/misc
rm -rf foo

cd ddmlde
rm -rf style
find . \( -name \*.xml -o -name \*.dtd -o -name \*.sh -o -name tidy.cfg \) -print0 | xargs -0 rm -f
